<template>
    <lightning-card 
    variant="Narrow"
    >
    <div class="slds-text-heading_small slds-card_boundary" style="margin-bottom: -2px;">
        <lightning-icon icon-name={listIconName} style="float: left;margin-right: 10px;"></lightning-icon>
        <h1 slot="title" style="font-weight:800;margin-top:5px">
<!--            <a style="color:black !important; font-weight:400 !important;" href="/related/HealthCloudGA__RelatedPeople__r/view">Guarantors</a>-->
            {relName}
        </h1> 

        <div slot="actions" style="float:right;margin-top: -25px;font-size: 13px;">
            <template if:true={allowNew}>
                <lightning-button label="New" slot="actions" onclick={handleCreate}></lightning-button>
            </template>
        </div>
    </div>
        
    <template if:false={createNewGuar} class="slds box">
            <div style="width: auto;border:1px solid lightgray;border-top:0px !important;">
                <template if:true={isGuarantor}>
                    <template if:true={data}>
                        <template if:true={isEditAccessGranted}>
                            <lightning-datatable 
                            data={data} 
                            columns={guarColumnsEdit} 
                            key-field="id"
                            hide-checkbox-column="true"
                            onrowaction={handleRowActions}></lightning-datatable>
                        </template>
                        <template if:false={isEditAccessGranted}>
                            <lightning-datatable 
                            data={data} 
                            columns={guarColumns} 
                            key-field="id"
                            hide-checkbox-column="true"
                            onrowaction={handleRowActions}></lightning-datatable>
                        </template>
                    </template>    
                </template>
                        <!-- Detail view modal -->
                <template if:true={bShowModal}>
                    <section role="dialog" tabindex="-1"
                            aria-labelledby="modal-heading-01"
                            aria-modal="true"
                            aria-describedby="modal-content-id-1"
                            class="slds-modal slds-fade-in-open">
                    <div class="slds-modal__container">
                        <!-- modal header -->
                        <header class="slds-modal__header">
                            <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                                <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
                            </button>
                            
                            <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate" if:false={isEditForm}>Record Detail</h2>
                        </header>
                        <!-- modal body -->
                        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1" if:false={isEditForm}>
                            <dl class="slds-list_horizontal slds-wrap">
                                <dt class="slds-item_label slds-truncate" title="Account Type">Account Type:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.Account_Type__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Account Type Other">Account Type Other:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.Account_Type_Other__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Responsible Party">Responsible Party:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.Responsible_Party__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Full Name">Full Name:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.HealthCloudGA__NameFull__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Service Area">Service Area:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.Service_Area__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Address1Line1">Address 1 Line 1:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.HealthCloudGA__Address1Line1__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Address1Line2">Address 1 Line 2:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.HealthCloudGA__Address1Line2__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Address1City">Address 1 City:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.HealthCloudGA__Address1City__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Address1State">Address 1 State:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.HealthCloudGA__Address1State__c}</dd>
                                <dt class="slds-item_label slds-truncate" title="Address1Country">Address 1 Country:</dt>
                                <dd class="slds-item_detail slds-truncate">{record.HealthCloudGA__Address1Country__c}</dd>
                            </dl>
                        </div>

                        <!-- modal footer start-->
                        <footer class="slds-modal__footer" if:false={isEditForm}>
                            <a href={recordUrl} class="slds-button slds-button_outline-brand" style="float:left;">Navigate to Record</a>
                            <lightning-button variant="brand"
                                            label="Close"
                                            title="Close"
                                            onclick={closeModal}></lightning-button>
                        </footer>
                    </div>
                    </section>
                    <div class="slds-backdrop slds-backdrop_open"></div>
                
                </template>
                <template if:false={isGuarantor}>
                    <template if:true={data}>
                        <template if:true={isEditAccessGranted}>
                            <lightning-datatable 
                            data={data} 
                            columns={relConColumnsEdit} 
                            key-field="id"
                            hide-checkbox-column="true"
                            onrowaction={handleRowActions}></lightning-datatable>
                        </template>
                        <template if:false={isEditAccessGranted}>
                            <lightning-datatable 
                            data={data} 
                            columns={relConColumns} 
                            key-field="id"
                            hide-checkbox-column="true"
                            onrowaction={handleRowActions}></lightning-datatable>
                        </template>
                    </template>    
                </template>
            </div>
        </template>
    </lightning-card>   
</template>